#!/bin/bash

. ./.jprojects.sh || exit 255

TARGET_BRANCH="master"

for project in ${LIST}; do
	echo "$0: Processing '${project}' ..."
	cd "${JPROJECTS_HOME}/${project}"

	# Checkout all
	git checkout -- .

	if [ -n "${TARGET_BRANCH}" ]
	then
		echo "$0: Switching back to '${TARGET_BRANCH}'"
		git checkout "${TARGET_BRANCH}"
	fi
done

echo "$0: All done."
exit 0
