#!/bin/bash

source .jprojects.sh

LIBS=`find lib/ -type f -name *.jar 2>/dev/null`

if [ -z "${LIBS}" ]
then
	echo "$0: No libraries to distribute."
	exit 1
fi

for lib in ${LIBS}; do
	echo "$0: Copying lib '${lib}' ..."
	find */lib/${lib##*/} -exec cp ${lib} {} \;
	find */dist/${lib##*/} -exec cp ${lib} {} \;
	rm -f "${lib}"
done

./build-dist-all.sh "d"

echo "$0: All done."
exit 0
